DM_UNMANAGE(3)

FUNCTION
dm_unmanage - Terminate the management of a file descriptor for activity.

SYNOPSIS
#include <karma_dm.h>

void * dm_unmanage

(int fd, KManagedDescriptor md)

DESCRIPTION
Terminate the management of a file descriptor for activity.

fd  The descriptor to unmanage. This must always be valid.

md  The entry to unmanage. If this is NULL then <<fd>> is used.

RETURN VALUE
The arbitrary pointer passed when the descriptor was managed.

Multi-threading Level
Unsafe.

NOTE
The routine will NOT close the descriptor (nor does it assume the descriptor is open).

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/